% LOW BROCCOLI FLORETS SR

clc; clear; clear all;
%MOUTH
M=30;                 % min^-1,transfer rate constant from mouth to stomach - will not affect final curve much
kn=3000;              % ITC-nitrile formation rate constant in mouth - estimate
SRR=0.4737;           % ratio of sulforaphane formed in mouth
SRNR=1-SRR;           % ratio of sulforaphane nitrile formed in mouth

%Broccoli Product
ITC0=29.167/11;       % uM, initial concentration of SR or IB ingested - estimate
Cgl0=708.333;         % uM, initial amount of GR or GI ingested - estimate

%Myrosinase Reaction
Vmax=2070;           % uM/min*mg MYR 
MYR=0.000562839;     % mg of myrosinase per mg of broccoli in product - estimate
Km=110.161136443;    % uM, constant
Ki=893.018606646;    % uM, constant
BR=5000;             % mg of broccoli

%STOMACH
SH=0.02;              % min^-1, transfer rate constant from stomach (a) to stomach (b) - estimate
St=30;                % min, Stomach emptying time - estimate
S=log(0.05)/-St;      % min^-1, transfer rate constant from stomach to duodenum - estimate

%SMALL INTESTINES
ka=0.17952;          % min^-1,transfer rate constant from small and large intestine to blood - estimate
ktsi=0.03518;        % min^-1,transfer rate constant between small intestine compartments


%LARGE INTESTINTES
ktli=0.002682;       % min^-1,transfer rate constant between large intestine compartments
kf=0.00333;          % min^-1,gut conversion rate constant in large intestine compartments - estimate
keru=0.0011;         % min^-1, GR to Erucin & Erucin-Nitril rate constant in large intestines - estimate SR only
kni= 0.002;          % min^-1, GL conversion to ITC-nitrile rate constant in large intestines - estimate
keni=0.0015;

%BLOOD
ke=0.024;            % min^-1, excretion rate constant of ITC metabolites from blood to urine - estimate

%compartment volumes
V1=0.096;
V2=0.05;
V3=0.15;
V4=0.2;
VSI=1.5;
VLI=3.4;
NSI=6;
NLI=7;
V18=5;

% time=[0:5:1440]';
% load 'Low_BF_averageSR.mat'
% LowBFavg=Low_BF_averageSR';
